[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.2 Command Button

A command button's type is "Command Button".

#### Signals

Command buttons send the following signals.

`signalCmdButtonClicked`

  Occurs when the user clicks a mouse button on the component.

#### Properties

Command buttons publish the following properties.

`Caption`

  Used to change the text on the button.

`State`

  Holds the state of button being pressed or released. This attribute is read-only.

`Image`

  For styles bfsNormal and bfsToobar you can optionally set an image. This property is write-only.

#### Frame Styles

Command buttons may be configured to display the following frame styles.

`bfsNormal`

  A normal frame with text, a 3D border, and an optional image or an icon that is aligned left, right, below or above the button text.

`bfsToolbar`

  A normal frame without text, but may have an image or an icon that is aligned left, right, below or above the button text.

`bfsBitmap`

  A frame whose appearance is entirely dictated by images. This frame style must be present with the ``BitmapNormal'`, ``BitmapFocused'` and ``BitmapClicked'` attributes in a definition file.

#### Attributes

Command buttons publish the following attributes.

`Style`

  Defines the frame style.

`Alpha`

  Alpha level of the button. Only used for ``bfsBitmap'` style.

`Caption`

  The button's caption (title).

`Icon`

  An optional icon for bfsNormal and bfsToolbar styles. The value of this attribute is a vfs path to picture.

`IconAlign`

  An optional alignment for the optional icon for bfsNormal and bfsToolbar styles. Values can be:

#### Skin Attributes

Command buttons support the following skin attributes.

`OverlayTextureAlpha`

  Used for texturing the button with a global texture. Can be used to give a "liquid" look to buttons.

`Texture`

  Used for overlaying the button with the global texture.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.